> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export shopify sandbox data

> Export all data from the sandbox in the same format used for initialization.



## OpenAPI

````yaml get /sandbox/shopify/{sandbox_id}/dump
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/shopify/{sandbox_id}/dump:
    get:
      tags:
        - sandbox
      summary: Export shopify sandbox data
      description: >-
        Export all data from the sandbox in the same format used for
        initialization.
      operationId: dump_sandbox_sandbox_shopify__sandbox_id__dump_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DumpSandboxResponse_ShopifyData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DumpSandboxResponse_ShopifyData_:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: MCP server type
        dumped_at:
          type: string
          format: date-time
          title: Dumped At
          description: Timestamp of dump
        data:
          $ref: '#/components/schemas/ShopifyData-Output'
          description: Dumped sandbox data in server-specific format
      type: object
      required:
        - sandbox_id
        - server_name
        - dumped_at
        - data
      title: DumpSandboxResponse[ShopifyData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    ShopifyData-Output:
      properties:
        products:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShopifyProduct'
              type: array
            - type: 'null'
          title: Products
          description: List of products to create
        customers:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShopifyCustomer'
              type: array
            - type: 'null'
          title: Customers
          description: List of customers to create
        orders:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShopifyOrder'
              type: array
            - type: 'null'
          title: Orders
          description: List of orders to create
      type: object
      title: ShopifyData
      description: >-
        Complete Shopify sandbox data structure.


        Orders reference customers and products by their index in the respective
        lists.

        Products and customers are created first, then orders are created with
        proper references.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ShopifyProduct:
      properties:
        title:
          type: string
          minLength: 1
          title: Title
          description: Product name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Product description
        vendor:
          type: string
          title: Vendor
          description: Brand or vendor name
        category:
          type: string
          title: Category
          description: Product category/type
        price:
          type: string
          title: Price
          description: Product price (e.g., '29.99')
        sku:
          type: string
          title: Sku
          description: Stock Keeping Unit identifier
        stock:
          type: integer
          minimum: 0
          title: Stock
          description: Available inventory count
          default: 0
        status:
          type: string
          title: Status
          description: Product status (active, draft, archived)
          default: active
      type: object
      required:
        - title
        - vendor
        - category
        - price
        - sku
      title: ShopifyProduct
      description: >-
        Simplified Shopify product data.


        Single-variant products are supported directly with price/sku/stock
        fields.

        For multi-variant products, use the implementation's API directly.


        Attributes:
            title: Product name
            description: Product description (plain text or HTML)
            vendor: Brand or vendor name
            category: Product category/type
            price: Product price as string (e.g., '29.99')
            sku: Stock Keeping Unit identifier
            stock: Available inventory count
            status: Product status (active, draft, archived)
    ShopifyCustomer:
      properties:
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
          description: Customer email address
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Customer full name
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: Street address
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: State/province code
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
          description: Postal/ZIP code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Country code (e.g., 'US')
          default: US
      type: object
      title: ShopifyCustomer
      description: |-
        Simplified Shopify customer data with flattened address.

        Attributes:
            email: Customer email address
            name: Customer full name (will be split into first/last for API)
            address: Street address
            city: City name
            state: State/province code
            zip: Postal/ZIP code
            country: Country code (e.g., 'US')
    ShopifyOrder:
      properties:
        customer_index:
          type: integer
          minimum: 0
          title: Customer Index
          description: Index of the customer in the customers list (0-based)
        line_items:
          items:
            $ref: '#/components/schemas/ShopifyOrderLineItem'
          type: array
          minItems: 1
          title: Line Items
          description: List of line items
        financial_status:
          type: string
          title: Financial Status
          description: Order financial status (pending, paid, refunded, etc.)
          default: pending
      type: object
      required:
        - customer_index
        - line_items
      title: ShopifyOrder
      description: >-
        Simplified Shopify order data.


        Orders reference customers and products by their index in the respective
        lists.

        This allows orders to be created with proper references after products
        and customers exist.


        Attributes:
            customer_index: Index of the customer in the customers list (0-based)
            line_items: List of line items (products and quantities)
            financial_status: Order financial status (pending, paid, refunded, etc.)
    ShopifyOrderLineItem:
      properties:
        product_index:
          type: integer
          minimum: 0
          title: Product Index
          description: Index of the product in the products list (0-based)
        quantity:
          type: integer
          minimum: 1
          title: Quantity
          description: Quantity of the product to order
          default: 1
      type: object
      required:
        - product_index
      title: ShopifyOrderLineItem
      description: |-
        Line item for a Shopify order.

        Attributes:
            product_index: Index of the product in the products list (0-based)
            quantity: Quantity of the product to order
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````